Subject: bug#55 closed by Jan Djärv <[email-masked]> (Re: SYNC_INPUT and 23.1.)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#55: SYNC_INPUT and 23.1.

It has been closed by Jan Djärv <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jan Djärv <[email-masked]> by
replying to this email.

-- 
55: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=55
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Wed Apr  9 18:44:20 2008
Resent-Message-ID: <[email-masked]>
Resent-To: [email-masked]
Resent-From: Stefan Monnier <[email-masked]>
Resent-Date: Wed, 09 Apr 2008 10:07:34 -0400
Date: Wed, 09 Apr 2008 08:50:17 +0200
From: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: YAMAMOTO Mitsuharu <[email-masked]>, [email-masked]
Subject: Re: SYNC_INPUT and 23.1.

Stefan Monnier skrev:
>>> Sinc there has been no objections, I enabled this by default.  You
>>> can pass --disable-sync-input to configure if there is problems.
>>> But I guess we soon will start take advantage of sync input so the
>>> disabled case will become obsolete.  When we feel confident that
>>> sync input works, I'll remove the non-sync-input code.
> 
>> Even with SYNC_INPUT, atimer functions (except poll_for_input)
>> may still call malloc in the signal handler context.
> 
> That needs to be fixed, then.
> 

I've changed atimers so they are not called in signal handler context.

	Jan D.

>From [email-masked] Fri Mar 14 11:09:05 2008
Resent-Message-ID: <[email-masked]>
Resent-To: [email-masked]
Resent-From: Stefan Monnier <[email-masked]>
Resent-Date: Fri, 14 Mar 2008 14:08:17 -0400
Date: Thu, 13 Mar 2008 09:44:48 +0900
From: YAMAMOTO Mitsuharu <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Subject: Re: SYNC_INPUT and 23.1.
Organization: Faculty of Science, Chiba University

>>>>> On Wed, 12 Mar 2008 13:51:35 -0400, Richard Stallman <[email-masked]> said:

>     Even with SYNC_INPUT, atimer functions (except poll_for_input)
>     may still call malloc in the signal handler context.  So
>     emacs_blocked_malloc etc. were actually meaningful even in
>     SYNC_INPUT environments.

> Why is that?  Can it be eliminated?

Here's the list of atimer functions (the third argument to
start_atimer):

  xg_process_timeouts, poll_for_input, show_hourglass,
  create_process_1, x_process_timeouts

Among them, show_hourglass, x_process_timeouts, and
xg_process_timeouts will call async-signal unsafe functions.

I think show_hourglass can be deferred until the next QUIT.  But not
sure about x_process_timeouts and xg_process_timeouts.

				     YAMAMOTO Mitsuharu
				[email-masked]